cURL
curl --request POST \
--url https://api.bestflow.xyz/rate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "BTC",
"to": "ETH",
"fromNetwork": "BTC",
"toNetwork": "ETH",
"amount": 0.5
}
'import requests
url = "https://api.bestflow.xyz/rate"
payload = {
"from": "BTC",
"to": "ETH",
"fromNetwork": "BTC",
"toNetwork": "ETH",
"amount": 0.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({from: 'BTC', to: 'ETH', fromNetwork: 'BTC', toNetwork: 'ETH', amount: 0.5})
};
fetch('https://api.bestflow.xyz/rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from": "<string>",
"to": "<string>",
"fromNetwork": "<string>",
"toNetwork": "<string>",
"amount": 123,
"rates": [
{
"exchange": "swapter",
"estReceive": 123,
"eta": "<string>",
"minAmount": 123,
"maxAmount": 123
}
]
}{
"message": "<string>"
}{
"error": "UNAUTHORIZED",
"message": "Invalid API key"
}{
"message": "<string>"
}{
"error": "SERVICE_UNAVAILABLE",
"message": "Auth service unavailable"
}Endpoints
Estimate Rate
Returns the estimated receive amount for a swap
POST
/
rate
cURL
Authorizations
Optional Bearer authentication using an API key provided as a Bearer token. Required for unlimited requests and revenue sharing.
Body
application/json
Rate estimation request details
Response
Rate estimation from supported exchanges
⌘I
